Commit 5afea3cb authored by James Antill's avatar James Antill

Explain the update-minimal problem of deps. bringing in the newest versions

parent 1639bf57
......@@ -114,4 +114,6 @@ James Antill <james.antill@redhat.com>.
.SH "BUGS"
The update-minimal command ignores the --obsoletes flag.
The update-minimal command can only directly affect things atm., so if you update pkgA minimally but that requires an update to pkgB then pkgB will be updated to the newest version by the depsolver. Also the above will happen even if you've also minimally updated pkgB, if either the direct (minimal) update for pkgB happens after or if the minimal update for pkgB doesn't satisy the requirements of pkgA.
The main "problem" is that if the data is not correct the plugin cannot work correctly. For instance "--bz 123" will not fix BZ 123 if a package is updated to fix that BZ without referencing that it does so in the updateinfo.xml.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment